petsc-3.13.6 2020-09-29
Report Typos and Errors

# ISColoringSetType

indicates if the coloring is for the local representation (including ghost points) or the global representation

### Synopsis

    #include "petscis.h"
    PetscErrorCode ISColoringSetType(ISColoring coloring,ISColoringType type)

Collective on coloring

### Input Parameters

| coloring | - the coloring object
| type | - either IS_COLORING_LOCAL or IS_COLORING_GLOBAL

### Notes

With IS_COLORING_LOCAL the coloring is in the numbering of the local vector, for IS_COLORING_GLOBAL it is in the number of the global vector

### See Also

MatFDColoringCreate(), ISColoring, ISColoringCreate(), IS_COLORING_LOCAL, IS_COLORING_GLOBAL, ISColoringGetType()

### Level

intermediate

### Location

src/vec/is/is/utils/iscoloring.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages